=== debian/control ===
Source: aegisub-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://www.aegisub.org/
Standards-Version: 4.5.1
Build-Conflicts: liboss4-salsa-dev
Build-Depends: debhelper-compat (= 13), intltool, libasound2-dev [linux-any], quilt,
 libass-dev, libboost-dev, libboost-filesystem-dev, libboost-thread-dev,
 libboost-regex-dev, libboost-system-dev, libffms2-dev (>= 2.21), libfftw3-dev,
 libfontconfig1-dev, libfreetype-dev, libgl-dev, libglu1-mesa-dev, libavresample-dev,
 libhunspell-dev (>= 1.7.0~), libicu-dev (>= 57.1~), libpulse-dev, liblua5.1-0-dev,
 libwxgtk3.0-gtk3-dev (>= 3.0.2+dfsg-1.2), libboost-locale-dev,
 libboost-chrono-dev, libluajit-5.1-dev [!powerpc], lua5.1

Package: aegisub
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: aegisub-l10n
Description: Advanced subtitle editor
 Originally created as tool to make typesetting, particularly in anime
 fansubs, a less painful experience, Aegisub has grown into a fully fledged,
 highly customizable subtitle editor.
 .
 It features a lot of convenient tools to help you with timing, typesetting,
 editing and translating subtitles, as well as a powerful scripting
 environment called Automation (originally mostly intended for creating
 karaoke effects, Automation can now be used much else, including creating
 macros and various other convenient tools).

Package: aegisub-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}, aegisub (>= ${source:Version}), aegisub (<< ${source:Version}.1~)
Description: Aegisub language packages
 Originally created as tool to make typesetting, particularly in anime
 fansubs, a less painful experience, Aegisub has grown into a fully fledged,
 highly customizable subtitle editor.
 .
 It features a lot of convenient tools to help you with timing, typesetting,
 editing and translating subtitles, as well as a powerful scripting
 environment called Automation (originally mostly intended for creating
 karaoke effects, Automation can now be used much else, including creating
 macros and various other convenient tools).
 .
 This package contains language packages for the following languages: ca,
 cs, da, de, el, es, fa, fi, fr, hu, id, it, ja, ko, pl, pt_BR, pt_PT, ru,
 sr_RS, vi, zh_CN, zh_TW
