=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	confflags += --without-alsa
endif

CFLAGS := $(CFLAGS:-g=-g0)
CXXFLAGS := $(CXXFLAGS:-g=-g0)

#export DEB_LDFLAGS_STRIP = -Wl,-z,relro

%:
	dh $@ --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	--with-boost-libdir=/usr/lib/${DEB_HOST_MULTIARCH} \
	--disable-update-checker --disable-compiler-flags $(confflags)

#	exit 1

override_dh_auto_install:
	dh_auto_install
	find debian/tmp/usr/share -type f -exec chmod a-x '{}' ';'

override_dh_auto_clean:
	cp debian/git_version.h.backup build/git_version.h
	-dh_auto_clean

override_dh_clean:
	dh_clean packages/desktop/aegisub.desktop.template \
	desktop/aegisub.desktop.template po/*.mo \
	src/libresrc/bitmap.cpp src/libresrc/bitmap.h \
	src/libresrc/default_config.cpp src/libresrc/default_config.h \
	tools/osx-bundle.sed automation/aegisub-lua tools/repack-thes-dict \
	src/aegisub-3.2 Makefile.inc acconf.h config.log config.status \
	packages/desktop/aegisub.desktop src/aegisub \
	src/libresrc/default_config_platform.json

	find -name *.o | xargs -r rm 
	find -name *.d | xargs -r rm
	find -name *.a | xargs -r rm
	find -name *.gch | xargs -r rm

	-rm -rf vendor/boost vendor/csri vendor/ffmpeg vendor/ffms2 \
	vendor/fftw vendor/freetype2 vendor/googletest vendor/hunspell \
	vendor/iconv vendor/icu vendor/libass vendor/uchardet \
	vendor/wxWidgets

#override_dh_installdocs:
#	dh_installdocs --link-doc=aegisub

override_dh_auto_test:
