=== debian/watch ===
version=4

opts="dversionmangle=s/~20181123.git2cb92a5f74//" \
http://ftp.aegisub.org/pub/releases/ \
aegisub-(.*)\.tar\.xz
